VMware vSphere Automation SDK Perl The VMware vSphere Automation SDK for Perl supports the client-side vSphere Automation API for access to vSphere services and capabilities

- Main Page
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Files Functions
List of all members
Com::Vmware::Appliance::Techpreview::Networking::Ipv6::IPv6AddressStatus Class Reference
Inheritance diagram for Com::Vmware::Appliance::Techpreview::Networking::Ipv6::IPv6AddressStatus:

## Avaliable Methods
public method | new ()

## Detailed Description

`Com::Vmware::Appliance::Techpreview::Networking::Ipv6::IPv6AddressStatus` enumerated type* Defines IPV6 address status values Constant Com::Vmware::Appliance::Techpreview::Networking::Ipv6::IPv6AddressStatus::TENTATIVE # This IPv6 address is in the process of being verified as unique. Do not use addresses in this state for general communication. You can use them to determine the uniqueness of the address. See RFC 4293. Constant Com::Vmware::Appliance::Techpreview::Networking::Ipv6::IPv6AddressStatus::UNKNOWN # The status of this address cannot be determined. See RFC 4293. Constant Com::Vmware::Appliance::Techpreview::Networking::Ipv6::IPv6AddressStatus::INACCESSIBLE # This IPv6 address is inaccessible because the interface to which this address is assigned is not operational. See RFC 4293. Constant Com::Vmware::Appliance::Techpreview::Networking::Ipv6::IPv6AddressStatus::INVALID # This IPv6 address is not a valid address. It should not appear as the destination or source address of a packet. See RFC 4293. Constant Com::Vmware::Appliance::Techpreview::Networking::Ipv6::IPv6AddressStatus::DUPLICATE # This IPv6 address is not unique on the link. Do use this IPv6 address. See RFC 4293. Constant Com::Vmware::Appliance::Techpreview::Networking::Ipv6::IPv6AddressStatus::PREFERRED # This is a valid IPv6 address that can appear as the destination or source address of a packet. See RFC 4293. Constant Com::Vmware::Appliance::Techpreview::Networking::Ipv6::IPv6AddressStatus::DEPRECATED # This is a valid but deprecated IPv6 address. Do not use this IPv6 address as a source address in new communications, although packets addressed to such an address are processed as expected. See RFC 4293. Constant Com::Vmware::Appliance::Techpreview::Networking::Ipv6::IPv6AddressStatus::OPTIMISTIC # This IPv6 address is available for use, subject to restrictions, while its uniqueness on a link is being verified. See RFC 4293.

## Member Function Documentation

public method Com::Vmware::Appliance::Techpreview::Networking::Ipv6::IPv6AddressStatus::new | ( |  | ) |

Constructor to initialize the Com::Vmware::Appliance::Techpreview::Networking::Ipv6::IPv6AddressStatus enumeration.

Return values

  Blessed | object

Code:
click to view
# Number of lines of code in new: 12
sub new {
my ($class, %args) = @_;
$class = ref($class) || $class;
my $self = $class->SUPER::new();
my $bindingType = new Com::Vmware::Vapi::Bindings::Type::EnumType(
'name' => 'com.vmware.appliance.techpreview.networking.ipv6.I_pv6_address_status',
'binding_class' => 'Com::Vmware::Appliance::Techpreview::Networking::Ipv6::IPv6AddressStatus');
$class->SUPER::set_binding_type('binding_type' => $bindingType);
bless $self, $class;
return $self;
}

The documentation for this class was generated from the following file:

- Com/Vmware/Appliance/Techpreview/Networking/Ipv6.pm